=== debian/control ===
Source: ignition-tools
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9~),
               gem2deb,
               cmake,
               pkg-config,
               libbackward-cpp-dev 
XS-Ruby-Versions: all
Vcs-Browser: https://bitbucket.org/ignitionrobotics/ign-tools-release
Vcs-Hg: https://bitbucket.org/ignitionrobotics/ign-tools-release
Homepage: http://ignitionrobotics.org/

Package: ignition-tools
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends}
Multi-Arch: same
Description:  Ignition entry point for using all the suite of ignition tools
  Ignition tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-tools-dev
Architecture: any
Section: libdevel
Depends: cmake,
         ignition-tools,
         ${misc:Depends}
Multi-Arch: same
Description: CMake/Pkgconfig Support for rest of the suite of ignition tools
  Ignition tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
