=== debian/rules ===
#!/usr/bin/make -f


.PHONY: override_dh_auto_configure

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DUSE_SYSTEM_BACKWARDCPP=ON \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
%:
	dh $@ --buildsystem=cmake --with ruby
