## ignition-tools 1.4.1+dfsg

=== debian/changelog ===
ignition-tools (1.4.1+dfsg-2) unstable; urgency=medium

  * Add ruby in build-deps for fixing testing

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 18 Feb 2022 14:47:30 +0000

ignition-tools (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.1+dfsg
  * Update copyright

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 14 Feb 2022 23:55:19 +0000

ignition-tools (1.2.0+ds-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 02 Nov 2021 16:54:05 +0000

ignition-tools (1.2.0+ds-1) experimental; urgency=medium

  * Initial release. (Closes: #891170)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Jun 2021 17:21:56 +0000
