=== debian/control ===
Source: ignition-tools
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libbackward-cpp-dev,
               pkg-config,
               ruby
Standards-Version: 4.6.0
XS-Ruby-Versions: all
Vcs-Browser: https://salsa.debian.org/science-team/ignition-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-tools.git
Rules-Requires-Root: no
Homepage: http://ignitionrobotics.org/libs/tools

Package: ignition-tools
Architecture: all
Section: utils
Depends: ruby,
         ${misc:Depends}
Description: Entry point for using all the suite of ignition tools - app
 Ignition tools provide the ign command line tool that accepts multiple
 subcommands. Each subcommand is implemented in a plugin that belongs to a
 specific Ignition project.
 .
 Package contains the ign app
