=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: @
