## ignition-tools 1.5.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 project (ignition-tools)
 
@@ -15,8 +15,8 @@
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
 
 set (PROJECT_MAJOR_VERSION 1)
-set (PROJECT_MINOR_VERSION 4)
-set (PROJECT_PATCH_VERSION 1)
+set (PROJECT_MINOR_VERSION 5)
+set (PROJECT_PATCH_VERSION 0)
 
 set (PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION})
 set (PROJECT_VERSION_FULL ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION})
@@ -223,3 +223,4 @@
 include(CTest)
 
 add_subdirectory(src)
+add_subdirectory(etc)
