=== debian/changelog ===
ignition-tools (1.5.0+dfsg-2) unstable; urgency=medium

  * Fix bash-completion support

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Sep 2023 10:52:57 +0000

ignition-tools (1.5.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints. + ignition-tools: Add :any qualifier for ruby
    dependency.

  [ Jose Luis Rivero ]
  * New upstream version 1.5.0+dfsg
  * Update standards
  * Debian packaging for bash-completion

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 11 Aug 2023 14:14:22 +0000
