=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUSE_SYSTEM_BACKWARDCPP=ON

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	# remove pkgconfig and cmake modules. The package has no library
	# makes no sense to ship them
	rm -R debian/ignition-tools/usr/lib

%:
	dh $@ --with bash-completion
